## com.pojtinger.felicitas.hydrapp.example.react.panrpc.main 0.0.2~1733366633

=== Makefile ===
# Public variables
DESTDIR ?=
PREFIX ?= /usr/local
OUTPUT_DIR ?= out
DST ?=

CONTAINER_PREFIX ?= ghcr.io/pojntfx/hydrapp-build-
CONTAINER_TAG ?= latest

# Private variables
obj = hydrapp hydrapp-example-vanillajs-rest hydrapp-example-vanillajs-forms hydrapp-example-react-panrpc
containers = apk deb dmg flatpak msi rpm binaries tests docs

all: $(addprefix build/,$(obj))

# Build
build: $(addprefix build/,$(obj))
$(addprefix build/,$(obj)):
ifdef DST
	go build -o $(DST) ./$(subst build/,,$@)
else
	go build -o $(OUTPUT_DIR)/$(subst build/,,$@) ./$(subst build/,,$@)
endif

# Build containers
build-containers: $(addprefix build-container/,$(containers))
$(addprefix build-container/,$(containers)):
	docker build -t $(CONTAINER_PREFIX)$(subst build-container/,,$@):$(CONTAINER_TAG) ./hydrapp/pkg/builders/$(subst build-container/,,$@)/

# Install
install: $(addprefix install/,$(obj))
$(addprefix install/,$(obj)):
	install -D -m 0755 $(OUTPUT_DIR)/$(subst install/,,$@) $(DESTDIR)$(PREFIX)/bin/$(basename $(subst install/,,$@))

# Uninstall
uninstall: $(addprefix uninstall/,$(obj))
$(addprefix uninstall/,$(obj)):
	rm -f $(DESTDIR)$(PREFIX)/bin/$(basename $(subst uninstall/,,$@))

# Run
$(addprefix run/,$(obj)):
	$(subst run/,,$@) $(ARGS)

# Test
test: $(addprefix test/,$(obj))
$(addprefix test/,$(obj)):
	go test -timeout 3600s -parallel $(shell nproc) ./$(shell echo $(subst test/,,$@) | cut -d / -f1)/...

# Benchmark
benchmark: $(addprefix benchmark/,$(obj))
$(addprefix benchmark/,$(obj)):
	go test -timeout 3600s -bench=./$(shell echo $(subst benchmark/,,$@) | cut -d / -f1)/... ./$(shell echo $(subst benchmark/,,$@) | cut -d / -f1)/...

# Clean
clean:
	rm -rf out

# Dependencies
depend: $(addprefix depend/,$(obj))
$(addprefix depend/,$(obj)):
	cd ./$(shell echo $(subst depend/,,$@) | cut -d / -f1) && go generate ./...

=== debian/changelog ===
com.pojtinger.felicitas.hydrapp.example.react.panrpc.main (0.0.2~1733366633) unstable; urgency=medium

  * Maintenance updates to match the state of the art of hydrapp apps

 -- Felicitas Pojtinger <felicitas@pojtinger.com>  Fri, 23 Aug 2024 15:00:00 +0100

com.pojtinger.felicitas.hydrapp.example.react.panrpc.main (0.0.1~1733366633) unstable; urgency=medium

  * Initial release

 -- Felicitas Pojtinger <felicitas@pojtinger.com>  Wed, 20 Mar 2024 22:27:54 +0100

=== debian/control ===
Source: com.pojtinger.felicitas.hydrapp.example.react.panrpc.main
Section: utils
Priority: optional
Maintainer: Felicitas Pojtinger <felicitas@pojtinger.com>
Build-Depends: debhelper (>= 12.10), git (>= 2.20.1), golang-go (>= 1.21), ca-certificates, desktop-file-utils (>= 0.24), appstream (>= 0.12.5), npm (>= 7.5.2)
Standards-Version: 4.5.1
Homepage: https://github.com/pojntfx/hydrapp/tree/main/hydrapp-example-react-panrpc
Vcs-Browser: https://github.com/pojntfx/hydrapp.git
Vcs-Git: https://github.com/pojntfx/hydrapp.git
Rules-Requires-Root: no

Package: com.pojtinger.felicitas.hydrapp.example.react.panrpc.main
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: chromium (>= 90)
Description: hydrapp React and panrpc example app
 A simple hydrapp React and panrpc example app.

=== debian/rules ===
#!/usr/bin/make -f
SIZES ?= 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256 512x512 1024x1024

export HOME = $(CURDIR)

%:
	dh $@

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_build:
	GOPROXY='https://proxy.golang.org,direct' GOFLAGS="" sh -c 'cd hydrapp-example-react-panrpc && go generate ./...'
	GOPROXY='https://proxy.golang.org,direct' GOFLAGS="" CGO_ENABLED=1 go build -ldflags='-compressdwarf=false' -o out/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main ./hydrapp-example-react-panrpc
	for icon in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256 512x512; do cp "./hydrapp-example-react-panrpc/icon-$${icon}.png" out/icon-$${icon}.png; done

override_dh_auto_install:
	install -D out/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main $$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/bin/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main
	desktop-file-install --dir=$$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/share/applications ./hydrapp-example-react-panrpc/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.desktop
	appstreamcli validate ./hydrapp-example-react-panrpc/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.metainfo.xml
	for icon in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256 512x512; do install -D -m 0644 out/icon-$${icon}.png $$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/share/icons/hicolor/$${icon}/apps/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.png; done
	install -D -m 0644 ./hydrapp-example-react-panrpc/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.metainfo.xml $$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/share/metainfo/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.metainfo.xml
